<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="UTF-8" import="cn.hmsoft.skill.helper.SkillParamHelper"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
<title><%=SkillParamHelper.AppTitle%></title>
<%
	if (SkillParamHelper.AppDebug) {
%>
<!-- 本地静态资源 -->
<script src="../../vendor/jquery-1.12.4/jquery.min.js"></script>
<link href="../../vendor/bootstrap-3.3.5/css/bootstrap.min.css" rel="stylesheet">
<script src="../../vendor/bootstrap-3.3.5/bootstrap.min.js"></script>
<script src="../../vendor/angularjs-1.7.5/angular.js"></script>
<script src="../../vendor/artDialog-7.0.0/dialog.js"></script>
<script src="../../vendor/jquery-loading-overlay/loadingoverlay.min.js"></script>

<%
	} else {
%>

<!--  CDN资源 -->
<script src="https://cdn.bootcss.com/jquery/1.12.4/jquery.min.js"></script>
<link href="https://cdn.bootcss.com/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
<script src="https://cdn.bootcss.com/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/angular.min.js"></script>
<script src="https://cdn.bootcss.com/jquery-loading-overlay/2.1.6/loadingoverlay.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/artDialog/7.0.0/dialog.js"></script>
<%
	}
%>

<!-- load script -->

<script src="./reg.js"></script>
<link href="./reg.css" rel="stylesheet">
<style type="text/css">
	.text-lg-right{
		text-align: right !important; 
	}
	.mb-1{
		margin-bottom: 3px;	
	}
</style>
</head>
<body ng-app="app" ng-controller="AppCtrl" style="margin-top: 80px !important;font-size: 15px;margin-left:120px !important;margin-right:120px !important;">
	<div ui-view>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">考生注册</h3>
			</div>
			<div class="panel-body">
				<form id="std.regForm" class="form-validate form-horizontal">
					<div class="row mb-1">
		                <label class="col-lg-2 col-form-label text-lg-right">密码：</label>
		                <div class="col-lg-4">
		              		<input type="password" class="form-control" ng-model="std.std_pass" name="std_pass" maxlength="50" aria-describedby="basic-addon1">
		                </div>
		                <label class="col-lg-2 col-form-label text-lg-right">高考报名号：</label>
		                <div class="col-lg-4">
		              		<input type="exam_id" class="form-control" ng-model="std.exam_id" name="exam_id" maxlength="50" aria-describedby="basic-addon1">
		                </div>
	              	</div>
				
					<div class="row mb-1">
		                <label class="col-lg-2 col-form-label text-lg-right">考生姓名：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.std_name" name="std_name" maxlength="50" aria-describedby="basic-addon1">
		                </div>

		                <label class="col-lg-2 col-form-label text-lg-right">性别：</label>
		                <div class="col-lg-4">
		              		<select class="form-control" ng-model="std.std_sex">
		              			<option value="1">男</option>
		              			<option value="0">女</option>
		              		</select>
		                </div>
	              	</div>
	              	
	              	<div class="row mb-1">
		                <label class="col-lg-2 col-form-label text-lg-right">证件类型：</label>
		                <div class="col-lg-4">
		              		<select class="form-control" ng-model="std.cert_type">
		              			<option value="IdCard">居民身份证</option>
		              			<option value="Passport">外国护照</option>
		              			<option value="TaiWanPass">台湾居民往来大陆通行证</option>
		              			<option value="HongKongMacaoPass">港澳居民来往内地通行证</option>
		              		</select>
		                </div>	              	
		                <label class="col-lg-2 col-form-label text-lg-right">身份证号：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.cert_id" name="cert_id" maxlength="24" aria-describedby="basic-addon1">
		                </div>
	              	</div>
	              	
	              	<div class="row mb-1">
		                <label class="col-lg-2 col-form-label text-lg-right">考生号：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.exam_id" name="cert_id" maxlength="24" aria-describedby="basic-addon1">
		                </div> 
		                <label class="col-lg-2 col-form-label text-lg-right">报考类别：</label>
		                <div class="col-lg-4">
		              		<select class="form-control" ng-model="std.std_param3">
		              			<option value="1">武汉地铁订单班</option>
<!-- 		              			<option value="2">湖北省普通单招</option>
		              			<option value="3">行业单招</option>
		              			<option value="4">企业单招</option>
		              			<option value="5">湖北省技能高考</option>
		              			<option value="6">普通高职</option>
		              			<option value="7">湖北籍退役士兵单招</option> -->
		              		</select>
		                </div>	
		                <label class="col-lg-2 col-form-label text-lg-right">毕业学校：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.std_school" name="std_school" maxlength="24" aria-describedby="basic-addon1">
		                </div>
	              	</div>
	              	
	              	<div class="row mb-1">
						<label class="col-lg-2 col-form-label text-lg-right">联系电话：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.std_mobile1" name="std_mobile1" maxlength="50" aria-describedby="basic-addon1">
		                </div>
		                <label class="col-lg-2 col-form-label text-lg-right">备用电话：</label>
		                <div class="col-lg-4">
		              		<input type="text" class="form-control" ng-model="std.std_mobile2" name="std_mobile2" maxlength="11" aria-describedby="basic-addon1">
		                </div>		                
	              	</div>
	              	<div class="row mb-1">
		                <label class="col-lg-2 col-form-label text-lg-right">通讯地址：</label>
		                <div class="col-lg-10">
		              		<input type="text" class="form-control" ng-model="std.link_addr" name="link_addr" maxlength="24" aria-describedby="basic-addon1">
		                </div>
	              	</div>
	              	
				</form>
			</div>
			<div class="panel-footer text-center">
				<button type="button" class="btn btn-primary" ng-click="submitReg()">注册</button>&nbsp;&nbsp;&nbsp;&nbsp;
				<button type="button" class="btn btn-default ml-5" ng-click="goLogin()">返回</button>
			</div>
		</div>	
	</div>
</body>

</html>