package cn.hmsoft.skill.enrol.control;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.hmsoft.application.web.Ajax;
import cn.hmsoft.skill.data.dao.school.SchoolAspectDao;
import cn.hmsoft.skill.data.model.school.SchoolReg;
import cn.hmsoft.skill.data.model.std.StdReg;

@RestController
public class EnrolSchoolRegControl extends  EnrolAbstractControl{

	@Autowired
	private SchoolAspectDao daoAspect;
	
	@RequestMapping("/enrol/std/school/aspect/list")
	public Ajax listAspect() {
		StdReg std = this.getStdReg();
		SchoolReg school = this.getSchoolReg();
		return new Ajax(this.daoAspect.listAspect(std.getStd_id(), school.getSchool_id(),std.getStd_type()));
	}
	
	
}
