package cn.hmsoft.skill.helper;

import cn.hmsoft.frame.data.model.FrameOptr;
import cn.hmsoft.frame.data.model.FrameRole;
import cn.hmsoft.frame.util.FrameParamUtil;

public class SkillParamHelper extends FrameParamUtil{
	
	// app 抬头
	public static String AppTitle = "考生报考";	
	// app开启时间
	public static String AppOpenTime = "00:01";
	// app关闭时间
	public static String AppCloseTime = "23:59";
	// app关闭时提示信息
	public static String AppCloseText =  "系统维护，请稍候再试！";
	
	// 特权地址
	public static String AppPrivilegeAddr = "";
	
	// 是否允许注册
	public static String AppRegStatus = "InActive";
	
	public final static String SessionName_StdReg = "SessionName_StdReg";
	public final static String SessionName_StdSchool = "SessionName_StdSchool";

	/****************
	 * 材料本地路径
	 */
	public static String MateialLocalPath = "";

	/********************
	 * 材料发布路径
	 */
	public static String MateialWebPath = "";
	
	/****************************
	 * 考生登录是否启用验证码
	 */
	public static boolean StdLoginWithVaildCode = false;
	
	/**
	 * 是否启用注册---目前仅仅技能高考可以放开注册。单招必须用高考号登陆
	 */
	public static boolean IsEnableReg = false;
	
	/****************************
	 * 当前省份
	 */
	public static String GobalProvinceId = "42";
	public static int CurrentYear = 2021;

	private static String CurrentShortYear;

	public static String getShortYear() {
		if (CurrentShortYear == null) {
			synchronized (SkillParamHelper.class) {
				CurrentShortYear = (SkillParamHelper.CurrentYear + "").substring(2, 4);
			}
		}
		return CurrentShortYear;
	}
	
	/*************
	 * 学校登录是否启用验证码
	 */
	public static boolean SchoolLoginWithVaildCode = false;
	
	public final static String SessionName_SchoolReg = "SessionName_SchoolReg";
	public final static boolean Enrol_NeedAddress = true;
	

	/************************
	 * 全局的学校操作角色
	 */
	public static FrameOptr GobalSchoolOptr = null;
	/************************
	 * 全局的学校操作角色
	 */
	public static FrameRole GobalSchoolRole = null;
	
	/**********************
	 * 每个专业最大的科目数
	 */
	public static int MaxExamSubjectCount = 4;
	
	public final static String ADMIN = "admin";
	
	/**
	 * 本地路径参数
	 */
	public final static String LocalMateialPath = "MateialLocalPath";
}


