package cn.hmsoft.skill.constants;

/****************
 * 序列定义
 * 
 * @author zxq
 * @create 2019-07-09 23:13:32
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public final class ArtSeqName {

	/***********************
	 * 配置表-报名规则
	 */
	public final static String ConfEnrolRuleId = "CF_ENROL_RULE_ID";
	/*********************
	 * 配置表-系统检查
	 */
	public final static String ConfInspectId = "CF_INSPECT_ID";
	/*********************
	 * 配置表-曲目库
	 */
	public final static String ConfTracksId = "CF_TRACKS_ID";

	/***************
	 * 考生表-考生基本信息
	 */
	public final static String StdRegId = "STD_REG_ID";
	/***************
	 * 考生表-考生操作日志
	 */
	public final static String StdLogId = "STD_LOG_ID";
	/***************
	 * 考生表-考生登录日志
	 */
	public final static String StdLoginId = "STD_LOGIN_ID";
	/***************
	 * 考生表-考生材料
	 */
	public final static String StdMaterialId = "STD_MATERIAL_ID";

	/*****************
	 * 考生表-考生报考记录表
	 */
	public final static String StdEnrolId = "STD_ENROL_ID";

	/*****************
	 * 考生表-考生多批次缴费表
	 */
	public final static String StdEnrolBatchId = "STD_ENROL_BATCH_ID";
	/*****************
	 * 考生表-考生曲目信息
	 */
	public final static String StdEnrolTracksId = "STD_ENROL_TRACKS_ID";

	/*******************
	 * 考生表-考生使用资源记录
	 */
	public final static String StdResLogId = "STD_RES_LOG_ID";

	/*****************
	 * 预编排：分组编号
	 */
	public final static String LayoutPlanGroupId = "LY_PLAN_GROUP_ID";
	/*****************
	 * 预编排：科目编号
	 */
	public final static String LayoutPlanSubjectId = "LY_PLAN_SUBJECT_ID";
	/*****************
	 * 预编排：时段编号
	 */
	public final static String LayoutPlanTimeId = "LY_PLAN_TIME_ID";

	/*****************
	 * 编排：分组编号
	 */
	public final static String LayoutGroupId = "LY_GROUP_ID";
	/*****************
	 * 编排：科目编号
	 */
	public final static String LayoutSubjectId = "LY_SUBJECT_ID";
	/*****************
	 * 编排：时段编号
	 */
	public final static String LayoutGroupTimeId = "LY_GROUP_TIME_ID";
	/*****************
	 * 编排：时段容量编号
	 */
	public final static String LayoutGroupAppointmentId = "LY_GROUP_APPOINTMENT_ID";

	/*****************
	 * 编排：考生准考证编号
	 */
	public final static String LayoutStdTicketId = "LY_STD_TICKET_ID";
	/*****************
	 * 编排：考生考试科目编号
	 */
	public final static String LayoutStdSubjectId = "LY_STD_SUBJECT_ID";

	/*****************
	 * 编排：考场编号
	 */
	public final static String LayoutRoomId = "LY_ROOM_ID";

	/*********************
	 * 无纸化面试： 考场日志
	 */
	public final static String ExamRoomLogId = "EX_ROOM_LOG_ID";
	/*********************
	 * 无纸化面试： 考生日志
	 */
	public final static String ExamStdLogId = "EX_STD_LOG_ID";
	/*********************
	 * 无纸化面试： 考生曲目编号
	 */
	public final static String ExamStdTracksId = "EX_STD_TRACKS_ID";
	/*********************
	 * 无纸化面试： 科目评分区间定义
	 */
	public final static String ExamSubjectScoreId = "EX_SUBJECT_SCORE_ID";

	/*********************
	 * 无纸化面试： 评委内部编号
	 */
	public final static String ExamJudgeId = "EX_JUDGE_ID";

	/*********************
	 * 无纸化面试： 评委签到编号
	 */
	public final static String ExamJudgeCheckinId = "EX_JUDGE_CHECKIN_ID";
	/*********************
	 * 无纸化面试： 评委签到明细编号
	 */
	public final static String ExamJudgeCheckinDetailId = "EX_JUDGE_CHECKIN_DETAIL_ID";
	/*********************
	 * 无纸化面试： 评委抽签编号
	 */
	public final static String ExamJudgeExtractId = "EX_JUDGE_EXTRACT_ID";
	/*********************
	 * 无纸化面试： 评委抽签明细编号
	 */
	public final static String ExamJudgeExtractDetailId = "EX_JUDGE_EXTRACT_DETAIL_ID";
	/*********************
	 * 无纸化面试： 评委抽签明细编号
	 */
	public final static String ExamJudgeExtractLogId = "EX_JUDGE_EXTRACT_LOG_ID";

	/*********************
	 * 无纸化面试： 评委在考场的明细编号
	 */
	public final static String ExamJudgeRoomId = "EX_JUDGE_ROOM_ID";

	/*********************
	 * 无纸化面试： 评委抽签规则编号
	 */
	public final static String ExamJudgeRuleId = "EX_JUDGE_RULE_ID";

	/*********************
	 * 无纸化面试： 评委每个评分编号
	 */
	public final static String ExamJudgeScoreId = "EX_JUDGE_SCORE_ID";
	/*********************
	 * 无纸化面试： 评委每个评分记录编号
	 */
	public final static String ExamJudgeScoreRecordId = "EX_JUDGE_SCORE_RECORD_ID";
	
	
	/*********************
	 * score
	 */
	public final static String ScoreScoreAspectId = "SC_SCORE_ASPECT_ID";
	
	
	/*********************
	 * score_subject
	 */
	public final static String ScoreScoreSubjectId = "SC_SCORE_SUBJECT_ID";
	/*********************
	 * video_id
	 */
	public final static String VideoId = "VIDEO_ID";
	/*********************
	 * std_video_id
	 */
	public final static String StdVideoId = "STD_VIDEO_ID";
	
	/*********************
	 * plan
	 */
	public final static String PlanGroupId = "PLAN_GROUP_ID";
	public final static String PlanGroupAspectId = "PLAN_GROUP_ASPECT_ID";
	public final static String PlanGroupProvinceId = "PLAN_GROUP_PROVINCE_ID";

	/*********************
	 * agent_dept_id
	 */
	public final static String AgentDeptId = "AGENT_DEPT_ID";
	
	public final static String FeedBackId = "FEED_BACK_ID";
	
	public final static String SignId = "SIGN_ID";

	/*********************
	 * wish
	 */
	public final static String WishPlanId = "WISH_PLAN_ID";
	public final static String WishStdId = "WISH_STD_ID";
	public final static String WishStdWishId = "WISH_STD_WISH_ID";
	public final static String WishStdAspectId = "WISH_STD_ASPECT_ID";
	
	public final static String WishPorvinceColumnId = "WISH_PROVINCE_COLUMN_ID";
}
